uucico(8)

NUME
uucico - demon de transfer de fișiere UUCP

SINOPSIS
uucico [ opțiuni ]

DESCRIERE
Demonul uucico procesează cererile de transfer de fișiere puse în coadă de uucp (1) și uux (1). Acesta este pornit atunci când este rulat uucp sau uux (cu excepția cazului în care acestea primesc opțiunea -r). De asemenea, este de obicei pornit periodic, folosind intrările din tabelele crontab.

Atunci când este invocat cu -r1, --master, -s, --system, sau -S,, demonul va efectua un apel către un sistem la distanță, care rulează în modul master. În caz contrar, demonul va porni în modul sclav, acceptând un apel de la un sistem de la distanță. De obicei, se va configura un nume de utilizator special pentru UUCP, care va invoca automat uucico atunci când se efectuează un apel.

Când uucico se termină, invocă demonul uuxqt (8), cu excepția cazului în care se dă opțiunea -q sau --nouuxqt; uuxqt (8) execută orice ordine de lucru create de uux (1) pe un sistem la distanță și orice ordine de lucru create local care au primit fișiere de la distanță pe care le așteptau.

În cazul în care un apel eșuează, uucico va refuza în mod normal să reia apelul până când trece o anumită perioadă de timp (configurabilă). Acest lucru poate fi anulat prin opțiunea -f, --force, sau -S.

Opțiunile -l, --prompt, -e, sau --loop pot fi folosite pentru a forța uucico să producă propriile prompts de tipul „utilizator:” și „Parola:”. Atunci când un alt demon apelează, acesta va vedea aceste solicitări și se va autentifica ca de obicei. În mod normal, numele de utilizator și parola de conectare vor fi verificate în raport cu o listă separată păstrată special pentru uucico, mai degrabă decât cu fișierul /etc/passwd; este posibil ca pe unele sisteme să se direcționeze uucico pentru a utiliza fișierul /etc/passwd. Opțiunea -l sau --prompt va solicita o singură dată și apoi va ieși; în acest mod, administratorul UUCP sau superutilizatorul poate utiliza opțiunea -u sau --login pentru a forța un nume de utilizator, caz în care uucico nu va solicita unul. Opțiunea -e sau --loop va solicita din nou după terminarea primei sesiuni; în acest mod, uucico va controla permanent un port.

Dacă uucico primește un semnal SIGQUIT, SIGTERM sau SIGPIPE, va întrerupe în mod clar orice conversație curentă cu un sistem la distanță și va ieși. Dacă primește un semnal SIGHUP, va întrerupe orice conversație curentă, dar va continua să efectueze apeluri către (dacă este invocat cu -r1 sau --master) și să accepte apeluri de la (dacă este invocat cu -e sau --loop) alte sisteme. În cazul în care primește un semnal SIGINT, va încheia conversația curentă, dar nu va mai efectua sau accepta alte apeluri.

OPȚIUNI
Următoarele opțiuni pot fi date lui uucico.

-r1, --master
    Pornește în modul master (apel către un sistem); implicită prin -s, --sistem, sau -S. Dacă nu este specificat nici un sistem, apelează orice sistem pentru care se așteaptă să se lucreze.

-r0, --slave
    Pornește în modul sclav. Acesta este modul implicit.

-s sistem, --system sistem
    Apelează sistemul numit.

-S sistem
    Apelează sistemul numit, ignorând orice așteptare necesară. Acest lucru este echivalent cu -s sistem -f.

-f, --force
    Ignoră orice așteptare necesară pentru apelarea oricărui sistem.

-l, --prompt
    Solicită numele de utilizator și parola de conectare folosind „utilizator:” și „Parola:”. Acest lucru permite ca uucico să fie rulat cu ușurință din inetd (8). Numele de utilizator și parola sunt verificate în funcție de fișierul de parole UUCP, care probabil nu are nicio legătură cu fișierul /etc/passwd. Opțiunea --login poate fi utilizată pentru a forța un nume de utilizator, caz în care uucico va solicita doar o parolă.

-p port, --port port
    Specifică un port de apelare sau de ascultare.

-e, --loop
    Introduce o buclă nesfârșită de solicitări de utilizator/parolă și de execuție a demonului în modul sclav. Programul nu se va opri de la sine; trebuie să utilizați kill (1) pentru a-l opri.

-w, --wait
    După apelarea (către un anumit sistem atunci când este specificat -s, --sistem, sau -S, sau către toate sistemele care au de lucru atunci când este specificat doar -r1 sau --master), începe o buclă nesfârșită ca și cu --loop.

-q, --nouuxqt
    Nu lansează demonul uuxqt (8) când a terminat.

-c, --quiet
    Dacă nu sunt permise apeluri în acest moment, atunci nu efectuează apelul, dar nici nu introduce un mesaj de eroare în fișierul jurnal și nu actualizează starea sistemului (așa cum a raportat uustat (1)). Acest lucru poate fi convenabil pentru scripturile automate de interogare, care ar putea dori să încerce pur și simplu să apeleze fiecare sistem, mai degrabă decât să își facă griji cu privire la sistemele particulare care pot fi apelate în acest moment. Această opțiune suprimă, de asemenea, mesajul de jurnal care indică faptul că nu există nicio activitate de efectuat.

-C, --ifwork
    Apelează sistemul numit de -s, --system sau -S numai dacă există lucrări pentru acel sistem.

-D, --nodetach
    Nu se detașează de terminalul de control. În mod normal, uucico se detașează de terminal înainte de fiecare apel către un alt sistem și înainte de a invoca uuxqt. Această opțiune previne acest lucru.

-u nume, --login nume
    Stabilește numele de utilizator care trebuie utilizat în locul celui al utilizatorului care face apelul. Această opțiune poate fi utilizată numai de către administratorul UUCP sau superutilizator. Dacă este utilizată împreună cu --prompt, aceasta va face ca uucico să ceară doar parola, nu și numele de utilizator.

-z, --try-next
    Dacă un apel eșuează după ce s-a ajuns la sistemul de la distanță, încearcă următoarea variantă alternativă în loc să iasă pur și simplu.

-i tip, --stdin tip
    Stabilește tipul de port care trebuie utilizat atunci când se utilizează intrarea standard. Singurul tip de port acceptat este TLI, iar acesta este disponibil numai pe mașinile care acceptă interfața de rețea TLI. Specificarea -iTLI face ca uucico să utilizeze apeluri TLI pentru a efectua operațiile de In/Ieș.

-x tip, -X tip, --debug tip
    Activează anumite tipuri de depanare. Sunt recunoscute următoarele tipuri: abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing.

    Se pot indica mai multe tipuri, separate prin virgule, iar opțiunea --debug poate apărea de mai multe ori. De asemenea, se poate indica un număr, care va activa atâtea tipuri din lista de mai sus; de exemplu, --debug 2 este echivalent cu --debug abnormal,chat.

    Ieșirea de depanare este trimisă în fișierul de depanare, care poate fi afișat folosind uulog -D.

-I fișier, --config fișier
    Stabilește fișierul de configurare care urmează să fie utilizat. Este posibil ca această opțiune să nu fie disponibilă, în funcție de modul în care a fost compilat uucico.

-v, --version
    Comunică informațiile despre versiune și iese.

--help
    Imprimă un mesaj de ajutor și iese.

CONSULTAȚI ȘI
kill(1), uucp(1), uux(1), uustat(1), uuxqt(8)

AUTOR
Ian Lance Taylor <ian@airs.com>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.